<template>
  <custom-table :data="data" :headers="headers" :pageSize="5" :pageDisplayCount="4" />
</template>
<script>
import CustomTable from '@/components/custom-controller/CustomTable.vue'
import eventBus from "@/plugins/eventBus";
export default {

  components:{
    CustomTable
  },
  data:() =>{
    return{
      panel: [0, 1],
      readonly: false,
      data: [
        ['Prim', 'T','31.07.2017','TL',10000],
        ['Prim', 'T','31.07.2017','TL',10000],
        ['Prim', 'T','31.07.2017','TL',10000],
      ],
      headers: ['Referans No','İşlem Tarihi','İşlem Tipi','Döviz Cinsi','Tutar','Durum','Reasürör','Hepsi'],
      pageSize: 3,
    }
  },
  mounted() {
    eventBus.on('reference-process-type', (processType) => {
      if (processType === 'treteSelected') {
        this.headers = ['Referans No','İşlem Tarihi','İşlem Tipi','Döviz Cinsi','Tutar','Durum','Reasürör']
      } else if (processType === 'allSelected') {
        this.headers = ['Referans No','İşlem Tarihi','İşlem Tipi','Döviz Cinsi','Tutar','Durum','Reasürör','Hepsi']
      }
    })
  },
  beforeUnmount() {
    eventBus.off('reference-process-type')
  }
}

</script>
<style>

</style>